@media (max-width: 1024px) and (max-height: 600px){
 .ad_pane {
	scroll-snap-align: none;
 }
}
.ad_pane > div {
	container-type: inline-size;
    display: flex;
	flex-direction: column;
    justify-content: center;
	gap: 2vh 4vw;
}
	
.picholder {
    container: picholder / inline-size;
    flex: 1 2 auto;
    min-height: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.picholder img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

@container picholder (width < 100cqw){
 .picholder img {
	max-height: calc(100vh - 80px - var(--hh));
 }
}

.ad_pane > div > div {
    flex: 2 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

@media (min-width: 800px) {
	.ad_pane > div {
		flex-direction: row;
	}
	.ad_pane > div.r {
		flex-direction: row-reverse;
	}
	.picholder,
	.ad_pane > div > div {
		flex: 1 1 50%;
		justify-content: center;
	}	
}
